# Scala Stomp Client Demo

A demo of using a stomp client in Scala with an Ammonite script. Makes use of the java library [java-stomp-ws](https://github.com/gim-/java-stomp-ws) and provides two convenience extension methods. By default the script queries the websocket endpoints of [Chatto](https://git.arcusiridis.com/nova/Chatto).

## Usage

You need to have [ammonite](https://ammonite.io) installed.

Once you have done that, start a local instance of Chatto, and run the command -

``` bash
amm stompTest.sc --username yourusername --password yourpassword
```

or

``` bash
./stompTest.sc --username yourusername --password yourpassword
```

Sample output -

```
Success(true)
Connected
Server message: pong
Server message: {"toUser":"admin","fromUser":"nova","messageContent":"hello"}
```

## License

Licensed under [The Unlicense](https://unlicense.org/)
